Draft Dimension/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft Dimension.svg {{{Name/jp}}}

メニュー位置
Draft -> Dimension
ワークベンチ
製図, 建築
デフォルトのショートカット
D I
参照
None


説明

Dimensionツールは計測する距離を定義する二点と寸法線の通過位置を指定する一点を使って現在のドキュメントに寸法を作成します。

Screenshot Draft Dimension.jpg

使用方法

  1. Draft Dimension.png Draft Dimensionボタンを押すか、Dキーを押した後でIキーを押します
  2. 3Dビュー上で一つ目の点をクリックするか、座標を入力します
  3. 3Dビュー上で二つ目の点をクリックするか、座標を入力します
  4. 3Dビュー上で三つ目の点をクリックするか、座標を入力します

利用可能な寸法のタイプ

  • 直線寸法: ALTキーを押しながら二点、または任意の直線をピックします
  • 水平/垂直寸法: 一点目を選択した後でSHIFTキーを押します
  • 直径寸法: ALTキーを押しながら曲線をピックします
  • 半径寸法: ALTキーを押しながら曲線をピックし、その後、SHIFT.を押します
  • 角度寸法: ALTキーを押しながら二本の直線をピックします

オプション

  • 点を指定した後でXY、またはZを押すと次の点を指定した軸上に拘束できます。
  • 手入力で座標を指定する場合は各X、Y、Z成分を数値で入力してからENTERを押してください。
  • 描画中にCTRLキーを押すと距離と無関係に最も近いスナップ位置に操作点をスナップすることができます。
  • SHIFTキーを押すと寸法を水平または垂直に拘束できます。また円周上のエッジ上で作業している場合は直径モードと半径モードを切り替えることができます。
  • Rを押すか、チェックボックスをクリックしてRelativeボタンのチェック/非チェックを切り替えてください。相対(Relative)モードがオンの場合、二つ目の点の座標は一つ目の点に対する相対値として扱われ、オフの場合は二つとも原点(0,0,0)からの絶対座標として扱われます。
  • Tキーを押すかContinueボタンのチェックボックスをクリックしてチェック/非チェックを切り替えてください。継続モードがオンの場合は続けてベースラインを共有した寸法の描画が行えます。
  • 現在のDimensionコマンドを中断するにはESCキーまたはCancelボタンを押してください。
  • 計測点を入力する代わりにALTキーを押しながら既存のエッジをピックすると寸法がパラメトリックになり、どのエッジに追従するかを記憶します。作成後にエッジの端点を動かすと寸法もそれを追従して動きます。

プロパティ

  • DATAStart: 計測する距離の始点
  • DATAEnd: 計測する距離の終点
  • DATADimline: 寸法線が通過する点
  • VIEWDisplay Mode: テキストを寸法線に揃えるか、常にカメラ方向を向かせるを指定します
  • VIEWFont Size: 文字の大きさ
  • VIEWExt Lines: (計測点と寸法線の間に引かれる)寸法補助線のサイズ
  • VIEWText Position: テキストを特定位置に表示させるのに使用されます
  • VIEWOverride: 寸法の代わりに表示させる文字を指定します。テキスト内で寸法を表示させるには"dim"というワードを使用してください。
  • VIEWFont Name: テキスト表示に使用するフォント。"Arial"などのフォント名、"sans",や"serif"や"mono"などのデフォルトスタイル、"Arial,Helvetica,sans"などのファミリー、"Arial:Bold"などのスタイル名を使用することができます。指定されたフォントがシステム上に見つからない場合は一般フォントが代わりに使用されます。

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからDimensionツールを使用することが可能です。

makeDimension (p1,p2,[p3])makeDimension (object,i1,i2,p3)makeDimension (objlist,indices,p3) : 
p3を通過する寸法線を持つDimensionオブジェクトを作成します。現在の製図線幅と色が使用されます。引数の渡し方
によって複数の寸法作成方法があります。(p1,p2,p3)はp1からp2までの長さを表示する標準的な寸法を作成します。
(object,i1,i2,p3)は指定されたオブジェクトにリンクされた寸法を作成します。頂点インデックスi1、i2の間の距離を測ります。
(object,i1,mode,p3)は指定されたオブジェクトにリンクされた寸法を作成します。i1が計測する(曲)線のインデックス、modeは
"radius(半径)"または"diameter(直径)"のいずれかです。この関数は新しく作成されたオブジェクトを返します。

makeAngularDimension (center,[angle1,angle2],p3): 指定された角の角度寸法を作成します。
指定された角度リストを元にp3を通過する寸法を作成します。この関数は新しく作成されたオブジェクトを返します。

例:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeDimension(p1,p2,p3)
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg